{
    gROOT.Reset();

    Float_t covar[13][13];
    Float_t norm[13][13];
    Float_t vec[13];
    Int_t i,j,ev,k;
    Float_t x;

    FILE *fp;

    fp = fopen("covar.out","r");
  
    for(i=0;i<13;i++)
    {
       for(j=0;j<13;j++)
       {
           fscanf(fp,"%f",&x);
           covar[i][j] = x;
        }
    }
    fclose(fp);
    printf("covar = \n");
    for(i=0;i<13;i++)
    {
       for(j=0;j<13;j++)
       {
               printf("%g ",covar[i][j]);
       }
       printf("\n");
    }

    Float_t vec[13];
    Float_t chi2;

    TCanvas c("c");

    TH1F prob("prob","prob",100,0,1);
    TPhStuff *stuff = new TPhStuff();

    fp = fopen("dist.out","r");
  
    for(ev=0;ev<390;ev++)
    {
        for(i=0;i<13;i++)
        {
            fscanf(fp,"%f",&vec[i]);
            printf("%g ",vec[i]);
        }
        printf("\n");
        chi2 = 0;
        for(i=0;i<13;i++)
        {
           for(j=0;j<13;j++)
           {
               chi2 += covar[i][j] * vec[i] * vec[j];
           }
        }
        printf("chi2 = %g\n\n",chi2);
        prob.Fill(stuff->GetProb(chi2,13));
        prob.Draw();
        c.Update();
    }
    fclose(fp);
}
