//tmp Process some hits in an event
{
  gROOT->Reset();
  Char_t FileName[256];

  // Open the Detector DB and read the current geometry from it. 
  sprintf(FileName, "%s/init/test/Detector.root", 
	  gSystem->Getenv("PHATHOME"));
  TFile detDB(FileName);
  TPhDetector *det = (TPhDetector*) detDB->Get("PMC_V3.80");
  detDB.Close();

  // Open the data file. Use ConvApxToRoot.C to make an apx file into 
  // a Root file if you don't already have it.  
  sprintf(FileName, "%s/data/pi300_1000x100.api.root",
	  gSystem->Getenv("PHATHOME"));
  TPhDST *dst = new TPhDST(FileName);

  TPhEvent *event;
  TPhHit *hit;
  TPhObjectContainer *HitContainer;
  TPhSensor *Sensor;

  //  while(event = dst->GetNextEvent()) {
event = dst->GetNextEvent();
    printf("Found %d %d \n", event->GetNRun(), event->GetNEvent());
    HitContainer = (TPhObjectContainer*) event->GetObject("MCHits");
    TIter NextHit(HitContainer->GetObjectList());

    // Note that this is pretty sub-optimal. the next version of Phat will 
    // include a MakeHitList() at the detector level. 
    // Loop over all hits in the event
    while(hit = (TPhHit*) NextHit()) {

      // Get the sensor from the detector. We use the fact that the
      // Hits have the sensor label where they belong to stored in them. 
      Sensor = det->GetSensor(hit->GetSensorLabel());
      printf("Adding hit in sensor %s which is #%d\n", Sensor->GetName(), 
	     Sensor->GetLabel());
      Sensor->AddHit(hit);
    }
    //}
  dst->Close();
}

