#ifndef _TPhHoughRoad_
#define _TPhHoughRoad_

#include "TObject.h"
#include "TPhHoughHit.h" 
class TPhHoughHit;

class TPhHoughRoad : public TObject 
{

private:

  float       fTH;          // theta                 
  float       fQP;          // charge over momentum
  TPhHoughHit *fHoughHit[2];  // inner Hough hit

public:

           TPhHoughRoad();
  virtual ~TPhHoughRoad(); 

  virtual void         SetTH(float th){fTH=th;}
  virtual void         SetQP(float qp){fQP=qp;}
  virtual void         SetHit(int i, TPhHoughHit *h){fHoughHit[i]=h;}

  virtual float        GetTH(){return fTH;}
  virtual float        GetQP(){return fQP;}
  virtual TPhHoughHit *GetHit(int i){return fHoughHit[i];}
  
  ClassDef(TPhHoughRoad,1)  // PHOBOS hit Road data class

};

#endif
