// Example script of how to get the detector and to query various 
// informational parts. 
// 
//Begin_Html <A HREF="mailto:decowski@mit.edu">decowski@mit.edu</A>
//End_Html

Char_t* checkdetector()
{
  // check the detector file
  // 
  // Return: an error string when there was an error
  //         NULL if there wasn't an error

  TCanvas *c = new TCanvas("view", "Phobos Detector", 700, 700);
  c->SetFillColor(5);

  TPhDetector *det = TPhDetector::ReadLatestGeometry();
  if(!det)
    return "Couldn't find the detector!"

  det->Draw();

  delete c;
  return NULL;
}
