// This is a small test script to test some of the features of
// the FEC Raw Buffer class. it reads in a file that was previously created
// with writetestfec.C
//
//Begin_Html <A HREF="mailto:decowski@mit.edu">decowski@mit.edu</A>
//End_Html
{
  gROOT->Reset();
  TFile f("fec.root");
  TPhRawHitFECn0 *fec = (TPhRawHitFECn0 *) f.Get("FEC_10");

  Int_t i;
  for(i = 0; i < 8; i++)
    printf("%d \n", fec->GetRawHitArraySize(i));

  FECRawHit_t *arrays = fec->GetRawHitArray(7);
  for(i = 0; i < fec->GetRawHitArraySize(7); i++)
    printf("%d %d\n", arrays[i].ADC, arrays[i].Channel);

  for(i = 0; i < 30; i++)
    printf("MON: %d\n", fec->GetMonitorVal(i));

  printf("Run mode is: %d\n", fec->GetMode());
}
