{
    gROOT.Reset();


    Int_t i;
    Int_t j;
    Float_t ndof;
    Float_t chi2;
    Float_t p;
    Float_t x;

    TCanvas c("C");
    TH1F h1("h1","Prob",20,0,1);

    TPhStuff *stuff = new TPhStuff();

    for(i=0;i<100000;i++)
    {
        chi2 = 0;
        ndof = (Float_t) (Int_t) (10+TRandom::Rndm()*5);
        for(j=0;j<ndof;j++)
        {
            x = TRandom::Gaus(0,1);
            chi2 += x*x;
        }
        p = stuff->GetProb(chi2,ndof);
        h1.Fill(p);
        if(!(i%50))
        {
            h1.Draw();
            c.Update();
        }
    }
}
