//Draw a 3D B-Field using TPhToscaMagnet. 
//
//Begin_Html <A HREF="mailto:decowski@mit.edu">decowski@mit.edu</A>
//End_Html
{
  TPhToscaMagnet *magnet;

  // Open a Canvas and setup the view for 3D objects. 
  TCanvas *c1 = new TCanvas("c1","B-Fld", 200, 10, 700, 500);
  TView *view;
  view = new TView(1);
  view->SetRange(0, 0, 0,100,100,120);

  Char_t FileName[256];
  sprintf(FileName, "%s/init/magnet/PhobosMagnet.root", 
	  gSystem->Getenv("PHATHOME"));

  // Get magnet object
  if(!magnet) {
    TFile file(FileName);
    magnet = (TPhToscaMagnet*) file.Get("magnet");
  }

  magnet->Draw3D(5, 0.8, 10);
  c1->x3d();
  c1->Update();
}
