//   File Mul.h      For simplified 1 plot demo for phatonl  D McLeod 1/16/99
//***********************************************************************

Char_t    *dName = "d0";  // Plot name
Char_t    *dSelector =  "*+hr-1"; // Robin Verdier's plot code (also *+in-1)
Int_t     dind = 13;      // Display index                     (also 11 choice)
Int_t     dinde = 14;     // Display index (error)             (also 12 choice)
TH2F      *dg;            // 2-d plot pointer
TPhMul    mp;             // The Mul object
TCanvas   *cmul;
Char_t    ptype[10];      // Display style ( BOX, COL, LEGO2, SURF2 )

// Additions for MDC2, R.Verdier, 9-Feb-99.
Char_t    *mMacroName = "$PHATHOME/phatmul/macros/writemul.C";
Int_t      dataSource = 2; // 0 = data, 1 = MC data, 2 = MCHits;
// The following names are used by writemul.C and must be changed here,
// and in writemul.C, if they conflict with other names.
TPhMapSet *dms1 = 0;       // Display mapset pointer
TPhMapSet *sms1 = 0;       // Sensor mapset pointer
// Bits set in mOpts to write histos, multi and single event maps:
Int_t      EnCh = 1, Ehists = 2, EdispNEv = 4, Edisp1Ev = 8, Esens1Ev = 16;
Int_t      mOpts = 31;      // 1 + 2 + 4 + 8 + 16;
Int_t     &mEvIndex = iev; // Event-loop index for identifying objects
TFile     *outFile = (TFile *)0; // If non-null, specified objects will be
//                                  streamed directly to this file.
// Reconstructed and generated total charged multiplicity
Float_t    nChRec = 0;     // Reconstructed from *+in 
Float_t    nChRecRMS = 0;  // RMS error in ""
Float_t    nChGen = 0;     // Generated (if MC tracks and hits used)
Float_t    nChGenRMS = 0;  // RMS error in ""
// 2-d histograms.  Selectors must begin with 's' to specify a SensMap;
// anything else means a display
Int_t      nMHists = 2;    // Number of 2-d histograms filled on each event
TH2F      *mHists[nMHists] = {0, 0};// Array of pointers to histograms
Char_t    *histSelect[2]  = {"*+hr-1", "*+in-1"};
Char_t    *hTypeNames[2]  = {   "hr1",    "nr1"};
// 1-d plots
Int_t      nMGraphs = 2;   // Number of 1-d plots filled on each event
TGraphErrors *mGraphs[nMGraphs] = {0, 0}; // Array of pointers to plots
Char_t    *graphSelect[2] = {"*+hr", "*+in"};
Char_t    *gTypeNames[2]  = { "hrn",  "nrn"};
//   End of Mul.h
