#include "stdlib.h"
#include "matrix.h"

#include "TBuffer.h"
#include "TMemberInspector.h"
#include "TError.h"

void matrix::Streamer(TBuffer &R__b)
{
   // Stream an object of class matrix.
  UInt_t   i;

  if (R__b.IsReading()) {
    Version_t R__v = R__b.ReadVersion(); if(R__v) { }
    TObject::Streamer(R__b);
    R__b >> row;
    R__b >> col;
    R__b >> error;
    mat = new double[row*col];
      
    for(i=0;i<row*col;i++)
      R__b >> mat[i];
  } else {
    R__b.WriteVersion(matrix::IsA());
    TObject::Streamer(R__b);
    R__b << row;
    R__b << col;
    R__b << error;
    for(i=0;i<row*col;i++)
      R__b << mat[i];
  }
}

