void onlset(Char_t* subdet)
{
  //  File onlset.C; Macro is auxiliary to phatonl.C & called by onlgui.C
  //  Automatically sets up title, right # of layer buttons
  //  Assumes detector object "det" exists and TPhOnSensor object tt 
  //  exists and is filled.                           D McLeod 12Dec1998
  //  Used to be genlayer.C.        Revised extensively 12-Jan-1999   DMcL  
    
    if(onlc3){ mx(2); onlc3->Close(); onlc3 = NULL; } // always remove 3rd bar

    if(strcmp(subdet,"clear") == 0) {
    if(onlc2) { mx(2); onlc2->Close(); onlc2 = NULL; }        
    if(barg) { mx(2); barg->Close(); barg = NULL; } 
    if(tt) tt->CloseCanvas();
    if(view) { mx(2); view->Close(); view = NULL; }
    return;
  }
  // Sensor info, choose sensor:
  if(bbflag == 3)  {
     infogv(subdet);
     return;
  }
  // 3-d display of subdetector:
  if(bbflag == 4) {
     views(subdet);
     return;
  }
  //  Later, modify onlset.C to add segments where appropriate, delete below
  //  if(strcmp(subdet,"Octagon") == 0 && bbflag == 1) {
  //     octagongui();
  //     return;
  //  }
  TPhSubDetector *sub =det->GetSubDetector(subdet);

  TObjArray *layerlist = sub->GetLayerList();
  Int_t nLayer = layerlist->GetEntries();

  onlc2 = new TCanvas("layer","layer",-85,30,80,790);
  onlc2->SetEditable(0);    // equivalent to DialogCanvas
  onlc2->SetFillColor(38);
  onlc2->SetFillStyle(3014);  // same as phat.C appearance
  onlc2->Draw();

  Char_t tit[40];
  Char_t mac[80];
  Char_t lab[40];
  Float_t xlow = 0.01;
  Float_t xup = .99;
  Float_t ytop = 0.94; // Canvas coord. are 0.0 - 1.0 going up
  Float_t ybot = 0.02;
  Float_t d = (ytop - ybot)/nLayer; // Button spacing
  Float_t s = d/20.0; // half-space between buttons
  Float_t ylow = ytop -d +s;  // initial button bottom
  Float_t yup = ytop -s;      // initial button top

//  Text right on canvas
  sprintf(lab,"%s\n Layers:",subdet);
  TText *label = new TText(0.05,0.95,lab);
  label->SetTextSize(0.22); 
  label->SetTextColor(5);
  label->Draw();

//  Layers:
  for(Int_t i=0; i<nLayer; i++)
  {
  sprintf(tit,"Layer %d",i);
  // TPhOnSensor ADC plots:   Removed along with button 2/13/99

  // Noise & Peds renamed Sensor Plots, choose sensor:
  if(bbflag ==2) sprintf(mac,"mx(1);sensor(\"%s\",%d);",subdet,i);
  TButton *but = new TButton(tit,mac,xlow,ylow,xup,yup);
  ylow -= d;
  yup -= d; 
  but->SetFillColor(4);
  but->SetTextColor(10);
  but->SetTextSize(0.28);  // We have a problem.. needs to vary with nLayer. 
  but->Draw();
  }
}





