      INTEGER FUNCTION STSTR (STRING)
***********************************************************************
*                                                                     *
*      INTEGER FUNCTION STSTR (STRING)                                *
*                                                                     *
*  Created:  29-FEB-1988   John James Ryan                            *
*                                                                     *
*      This routine determines the 'Non-Blank' Start of a Character   *
*      String.                                                        *
*     A Blank String returns a value of "1"                           *
*                                                                     *
***********************************************************************

C     Description: above
C     =============
C  Routine stolen from E665 SHELL to handle input cards better than FFREAD
C
C     Arguments:
C     ===========
C     STRING
C
C     Implicit inputs, outputs, side effects:-
C     ========================================
C     none
C
C     Author:  above
C     =======
C
C     Creation Date: above
C     ===========================
C
C     Revisions:
C     ==========
C     Date       Name       Description
C     ---------  -------    --------------------------------------------
C
C     23 Oct 92  R. V.      Separated from GE_...
C      1 Jun 92  C. Parsons Moved from GPH into GE_ALL_THE_REST

      IMPLICIT NONE

      CHARACTER*(*) STRING
      INTEGER INDEX
C
      STSTR = 1
C
      DO 100 INDEX = 1, LEN (STRING)
         IF (STRING (INDEX : INDEX) .NE. ' ') THEN
            STSTR = INDEX
            GOTO 200
         ENDIF
  100 CONTINUE
C
  200 RETURN
C
      END
