      SUBROUTINE USOUT
*Documentation_Block
************************************************************************
*
*  Description:
*  User routine called once at the end of each event.
*
*  Arguments:
*  none
*
*  Called by:
*  GUOUT
*
*  Calls:
*  PH_OUT
*
*  Implicit inputs, outputs, side effects:
*  inputs: GEANT common blocks containing info on current event
*
*  History:
*  Date       Name       Description
*  ----       ----       -----------
*  27-Jun-92  R.Verdier  Added call to PH_OUT
*  10-Jun-92  Chuck Parsons  Creation
************************************************************************
*End_Documentation_Block

      IMPLICIT NONE

      call PH_OUT

      RETURN
      END
